; Autohotkey - WF16 example
; TVH 2016-01-13
; 1. Download Autohotkey from https://autohotkey.com/
; 2. Right click this file, select "Run as administrator"
; 3. We will walk through the below macros together.

;; #NoEnv  ; Recommended for performance and compatibility with future AutoHotkey releases.
;; SendMode Input  ; Recommended for new scripts due to its superior speed and reliability.
;; SetWorkingDir %A_ScriptDir%  ; Ensures a consistent starting directory.

; Script setep
#NoEnv  ; Recommended for performance and compatibility with future AutoHotkey releases.
#SingleInstance force
#NoTrayIcon
SendMode Input  ; Recommended for new scripts due to its superior speed and reliability.
SetWorkingDir %A_ScriptDir%  ; Ensures a consistent starting directory.
#Hotstring C R

; Tom VH: Macro Programs below

; -- Symbols key --
; # = windows button
; ^ = control buttom
; ! = alt button
; + = shift button
; Space = space bar
; Tab = tab button

;;;;;;      TIME STAMPS      ;;;;;;

; Insert Date Time stamp (Control and tilda)
^`::
   FormatTime, xx,, yyyy-MM-dd
   SendInput, %xx%
return

; Insert Exact Date Time stamp  (Windows key and Q)

#Q::
   FormatTime, xx,, yyyy-MM-dd hh:mm
   SendInput, %xx%
return

; Insert time

#W::
   FormatTime, xx,, hh:mm
   SendInput, %xx%
return

;;;;;;      TEXT EXPANSION      ;;;;;;

; insert web of science website
:*:_web::http://apps.webofknowledge.com.proxyiub.uits.iu.edu/

; insert library link
:*:_iub::.proxyiub.uits.iu.edu

; windows + shift + e: send a comment 
#+E::
SendRaw, *!? TVH - 
return

; suite for variable recoding
^+G::
Send, // Recode VAR `n
Send,  * recode commands `n
Send,	`n
Send,  * label
Send,  label var   "" `n
Send,  label define `n
Send,  label values `n
Send,  * notes `n
Send,  notes  : `tag' `n
Send,  notes  : `n
Send,  * verify `n
Send, `n
Send,  * keep `n
Send, local keep "local `keep'
return

; insert dagger
#D::
{
SendInput {}
}
return  

; send k drive path
^!K::
Send \\bl-soc-theseus\groups$
return

; email signature

::=tom::
(
Tom VanHeuvelen
Ph.D. Candidate
Indiana University
)
return

; add row of percentages
!+P::
Loop 80
{
SendRaw, `%
}
return

;;;;;;      COPY & PASTE CONTENTS OF A FILE      ;;;;;;

; copy LIS data/stats file and paste it
!+O::
FileRead, Clipboard, C:\Users\Owner\Dropbox\wgi\lis\_stat07-female.do
Send, ^v
return

; copy default JSL do-file
#!N::
FileRead, Clipboard, C:\Sociology\default-do-jsl.do
Send, ^v
return

;;;;;;      MISC      ;;;;;;

; send mouse click 
#Z::
Send {Click}
return

; replace PGM with program file

;#+X::
;send {Control Down}{Alt Down}c{Control Up}{Alt Up}
;StringReplace, NewStr, OldStr, %clipboard%, NAME, All
;return

; Middle-click on title bar to minimize, http://www.autohotkey.com/forum/topic16364.html
; -----------------------------------------------------------------------------
~MButton::
	CoordMode, Mouse, Window
	MouseGetPos, ClickX, ClickY, WindowUnderMouseID
	WinActivate, ahk_id %WindowUnderMouseID%
	WinGetClass, class, A
	MouseGetPos, ClickX, ClickY, WindowUnderMouseID
	WinGetPos, x, y, w, h, ahk_id %WindowUnderMouseID%
 
	; check if title bar, with an exception for Firefox with tabs in title bar that can be middle-clicked to close
	if (ClickX < w  and ClickY < 24 and ClickY > 0 and ClickX > 0 and class != "MozillaWindowClass")
	{
		WinMinimize, A
	}
	Return

