capture log close
log using wflec-dual-stat02-binlogit-BNall, replace text
version 13.1
clear all
macro drop _all
set linesize 80
set scheme s1manual

//  WF lectures: dual workflow - stat 02 binary logit of BN all indicators
//  Neutral is not pro

//  Assumes esttab package by B. Jann is installed -search esttab-

local pgm wflec-dual-stat02-binlogit-BNall
local dte 2017-06-16
local who Scott Long
local tag `pgm'.do `who' `dte'

//  #1 setup

use wflec-dual-data03, clear
datasignature confirm

//  #2 specify variable sets

local lhsvars BNwarm BNkidsuf BNfamsuf BNnotboth BNjobsat BNindep
local m1rhs i.female age i.married logfaminc
local m2rhs `m1rhs' i.highered i.fulltime
local m3rhs `m2rhs' i.momworks i.kidsnone
local regvars `m3rhs'
local descvars : subinstr local m3rhs "i." "", all

//  #3 select sample with BNwarm

* require all rhs variables to be nonmissing
qui reg age `regvars' // quick way to select listwise deletion sample
keep if e(sample)

//  #4 descriptives

tab1 BN*, miss
codebook BN* `descvars', compact

//  #5 models for strong support

local stolist ""
foreach lhsvar in `lhsvars' {

    eststo M`lhsvar': logit `lhsvar' `m3rhs'
    local stolist "`stolist' M`lhsvar'"
    mchange, amount(1 sd)

}

set linesize 140
esttab `stolist', ///
title(Table _. Binary logit of support for working mothers; drop neutral) ///
    star(* 0.05 ** 0.01 *** 0.001) ///
    nonumbers mtitles(`stolist') ///
    label b(%8.3f) ar2 bic(1)
set linesize 80

log close
exit
