capture log close master
log using wf6, name(master) replace text

//  program:    wf6.do
//  task:       run all do-files in the order they appear
//  project:    workflow - chapter 6
//  author:     scott long \ 2008-04-09

* import and conversion
do wf6-import.do
* do wf6-isspru-sttr01.do // do not include here due to lengthy output
* do wf6-isspru-sttr02.do // do not include here due to lengthy output

* verifying variables
do wf6-review-biochem.do
do wf6-review-gss.do
do wf6-review-timetophd.do
do wf6-review-phdspike.do
do wf6-review-jobphd.do
do wf6-review-missing.do
do wf6-review-misstype.do
do wf6-review-consistent.do

* create and verify variables
do wf6-create
do wf6-verify.do

* save files
do wf6-save.do

* example
do wf6-create01-controls.do, nostop // so cf doesn't end do file
do wf6-create02-binary.do, nostop // so cf doesn't end do file
do wf6-create03-noneutral.do, nostop // so cf doesn't end do file

* merging
do wf6-merge-match.do
do wf6-merge-onetoone.do
do wf6-merge-nomatch.do

log close master
exit