capture log close
log using wfauto-02display, replace text
version 13.1
clear all
set linesize 80
macro drop _all
set scheme s2manual

//  Guide to Automating Your Work in Stata
//  Scott Long & Bianca Manago
//  display command

local pgm wfauto-02display
local dte 2015-05-15
local who scott long
local tag "`pgm' `who' `dte'"

//  #1 Use display to show text

di "Hello! Welcome to automation."
di "We can display whatever we place between quotations"
di "Let's display our tag: `tag'!"

//  #2 Use display as a calculator

di 5+1
di exp(-.2134)
di 70*8

//  #3 Using display to create columns in tables

display _col(5)  "hello"
display _col(10) "hello"
display _col(15) "hello"
display _col(20) "hello"

di "Variable" _col(15) "Mean" _col(25) "SD" _col(36) "Label"
di _col(5) "age" _col(15) "Mean = " 1.23328924 _col(35) "SD = " 23.4256

//  #4 Formatting

di _col(5) "age" _col(15) ///
  "Mean = " %-10.2f 1.23328924 _col(35) "SD = " %-10.2f 23.4256

log close
exit
