capture log close
log using wflec-data-provenance2, replace text
version 13.1
clear all
macro drop _all
set linesize 80
set scheme s1manual

//  WF lectures: dataset- provenance version 2 of data saved

local pgm wflec-data-provenance2
local dte 2017-06-17
local who Scott Long
local tag `pgm'.do `who' `dte'

//  #1 check signatures and load the master dataset

use wflec-data-provenance1, clear
datasignature confirm

//  #2 create husband or wife to college

gen anycollege = .
replace anycollege = 1 if hc==1 | wc==1
replace anycollege = 0 if hc==0 & wc==0
label var anycollege "Wife or husband college?"
note anycollege: `tag'
tempvar wchc
gen `wchc' = 10*wc + hc
tab `wchc' anycollege, miss

//  #3 save merged file

local savename "wflec-data-provenance2"
quietly compress
label data "Step 2 | `tag'"
note: `savename'.dta / `tag' / add wc or hc variable
datasignature set, reset
save `savename', replace

log close
exit
