capture log close
log using wflec-debug-loops-trace, replace text
version 13.1
clear all
macro drop _all
set linesize 80
set scheme s1manual

//  WF lectures: debug - loop

global pgm wflec-debug-loops-trace
global dte 2017-06-18
global who Scott Long
global tag "$pgm.do $who $dte"

* !! CODE MUST BE RUN IN STEPS SINCE ERRORS STOP DO-FILE

//  Debug #1: Using display

* this loop looks fine:
use wf-loops, clear
foreach varname in "sdneighb sdsocial sdchild sdfriend sdwork sdmarry" {
    gen B`varname' = `varname'
    replace  B`varname' = 0 if `varname'==1 | `varname'==2
    replace  B`varname' = 1 if `varname'==3 | `varname'==4
}
* error related to sdsocial

* remove sdsocial to see if something is peculiar about this variable
use wf-loops, clear
foreach varname in "sdneighb sdchild sdfriend sdwork sdmarry" {
    gen B`varname' = `varname'
    replace  B`varname' = 0 if `varname'==1 | `varname'==2
    replace  B`varname' = 1 if `varname'==3 | `varname'==4
}
* error for sdchild

* add a display immediately after the foreach:
use wf-loops, clear
foreach varname in "sdneighb sdsocial sdchild sdfriend sdwork sdmarry" {
    di "==> varname is: |`varname'|"
    gen B`varname' = `varname'
    replace  B`varname' = 0 if `varname'==1 | `varname'==2
    replace  B`varname' = 1 if `varname'==3 | `varname'==4
}
* aha!

* fix
use wf-loops, clear
foreach varname in sdneighb sdsocial sdchild sdfriend sdwork sdmarry {
    di "==> varname is: |`varname'|"
    gen B`varname' = `varname'
    replace  B`varname' = 0 if `varname'==1 | `varname'==2
    replace  B`varname' = 1 if `varname'==3 | `varname'==4
}

//  Debug #2: using set trace on

use wf-loops, clear
set trace on
foreach varname in "sdneighb sdsocial sdchild sdfriend sdwork sdmarry" {
    gen B`varname' = `varname'
    replace  B`varname' = 0 if `varname'==1 | `varname'==2
    replace  B`varname' = 1 if `varname'==3 | `varname'==4
}

set trace off

//  Debug #3: second trace example

use wf-ordwarm, clear
set trace on
foreach cutpt in 2 3 4 {
    gen warm_lt`cutpt' = warm<`cutpt' if !missing(warm)
    tab warm warm_lt`cutp', miss
}
set trace off

log close
exit

