capture log close
log using PGM, replace text
version 13.1
clear all
macro drop _all
set linesize 80
set scheme s1manual

//  DESCRIPTION

//  #1 provenance tags

local pgm PGM
local dte DTE
local who Scott Long
local tag `pgm'.do `who' `dte'

//  #2 load data

use , clear
notes _dta
codebook, compact

//  #3 select observations

keep if
drop if

//  #4 select variables

keep
drop

* drop variables that do not vary
codebook, problems
local dropvars `r(cons)'
local dropvars : subinstr local dropvars "KEEP" "" // keep this variable
drop `dropvars'

//  #5 create variables and revise labels

* data management commands here

//  #6 diagnostics

codebook, problems
duplicates list IDVAR

//  #7 rearrange variables

order _all, sequential
order _all, alphabetic
order IDVAR

//  #8 sort observations

sort IDVAR

//  #9 metadata for dataset

label data "TITLE | `dte'"

note: SOURCE XXX downloaded on XXX

note: CITATION XXX

local savename SAVE
note: `savename' \ XXX \ `tag' \ run TS

notes _dta

//  #10 reduce file size

quietly compress

//  #11 datasignature

datasignature set

//  #12 save dataset

saveold `savename', version(12) replace

//  #13 verify new dataset

local sourcename SOURCE

//  summary of saved dataset

use `savename', clear

datasignature confirm
notes _dta
codebook, compact

capture noisily cf _all using `savename', verbose

log close
exit
